WebSphereJDBCDataSource (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJDBCDataSource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereJDBCDataSource

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource

    public interface WebSphereJDBCDataSource

extends WebSphereJ2EEResource

Represents a WebSphere JDBC Data Source.

Persistable:
  true
Display Name:
  JNDIName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAuthDataAlias()`
`java.lang.String` | `getAuthMechanismPreference()`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getDatasourceHelperClassname()`
`java.lang.String` | `getJNDIName()`
`WebSphereJDBCConnectionPool` | `getPool()`
`WebSphereJDBCProvider` | `getProvider()`
`WebSphereJ2EEResourceProperty[]` | `getResourceProperties()`
`int` | `getStatementCacheSize()`
`boolean` | `hasAuthDataAlias()`
`boolean` | `hasAuthMechanismPreference()`
`boolean` | `hasCategory()`
`boolean` | `hasDatasourceHelperClassname()`
`boolean` | `hasJNDIName()`
`boolean` | `hasPool()`
`boolean` | `hasProvider()`
`boolean` | `hasResourceProperties()`
`boolean` | `hasStatementCacheSize()`
`void` | `setAuthDataAlias(java.lang.String authDataAlias)`
`void` | `setAuthMechanismPreference(java.lang.String authMechanismPreference)`
`void` | `setCategory(java.lang.String category)`
`void` | `setDatasourceHelperClassname(java.lang.String datasourceHelperClassname)`
`void` | `setJNDIName(java.lang.String s)`
`void` | `setPool(WebSphereJDBCConnectionPool s)`
`void` | `setProvider(WebSphereJDBCProvider prov)`
`void` | `setResourceProperties(WebSphereJ2EEResourceProperty[] props)`
`void` | `setStatementCacheSize(int statementCacheSize)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String s)

### hasJNDIName

    boolean hasJNDIName()

### getCategory

    java.lang.String getCategory()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCategory

    void setCategory(java.lang.String category)

### hasCategory

    boolean hasCategory()

### getAuthMechanismPreference

    java.lang.String getAuthMechanismPreference()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAuthMechanismPreference

    void setAuthMechanismPreference(java.lang.String authMechanismPreference)

### hasAuthMechanismPreference

    boolean hasAuthMechanismPreference()

### getAuthDataAlias

    java.lang.String getAuthDataAlias()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAuthDataAlias

    void setAuthDataAlias(java.lang.String authDataAlias)

### hasAuthDataAlias

    boolean hasAuthDataAlias()

### getStatementCacheSize

    int getStatementCacheSize()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatementCacheSize

    void setStatementCacheSize(int statementCacheSize)

### hasStatementCacheSize

    boolean hasStatementCacheSize()

### getDatasourceHelperClassname

    java.lang.String getDatasourceHelperClassname()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDatasourceHelperClassname

    void setDatasourceHelperClassname(java.lang.String datasourceHelperClassname)

### hasDatasourceHelperClassname

    boolean hasDatasourceHelperClassname()

### getPool

    WebSphereJDBCConnectionPool getPool()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"

### setPool

    void setPool(WebSphereJDBCConnectionPool s)

### hasPool

    boolean hasPool()

### getProvider

    WebSphereJDBCProvider getProvider()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setProvider

    void setProvider(WebSphereJDBCProvider prov)

### hasProvider

    boolean hasProvider()

### getResourceProperties

    WebSphereJ2EEResourceProperty[] getResourceProperties()
                                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setResourceProperties

    void setResourceProperties(WebSphereJ2EEResourceProperty[] props)

### hasResourceProperties

    boolean hasResourceProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD